com.sun.research.ws.wadl

## Class Method

- java.lang.Object
- - com.sun.research.ws.wadl.Method

    public class Method
    extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://wadl.dev.java.net/2009/02}doc" maxOccurs="unbounded" minOccurs="0"/>
             <element ref="{http://wadl.dev.java.net/2009/02}request" minOccurs="0"/>
             <element ref="{http://wadl.dev.java.net/2009/02}response" maxOccurs="unbounded" minOccurs="0"/>
             <any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           <attribute name="name" type="{http://wadl.dev.java.net/2009/02}Method" />
           <attribute name="href" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <anyAttribute processContents='lax' namespace='##other'/>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected List<Object>` `any`
`protected List<Doc>` `doc`
`protected String` `href`
`protected String` `id`
`protected String` `name`
`protected Request` `request`
`protected List<Response>` `response`

### Constructor Summary

Constructors
Constructor and Description
`Method()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Object>` `getAny()` Gets the value of the any property.
`List<Doc>` `getDoc()` Gets the value of the doc property.
`String` `getHref()` Gets the value of the href property.
`String` `getId()` Gets the value of the id property.
`String` `getName()` Gets the value of the name property.
`Map<QName,String>` `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`Request` `getRequest()` Gets the value of the request property.
`List<Response>` `getResponse()` Gets the value of the response property.
`void` `setHref(String value)` Sets the value of the href property.
`void` `setId(String value)` Sets the value of the id property.
`void` `setName(String value)` Sets the value of the name property.
`void` `setRequest(Request value)` Sets the value of the request property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### doc

    protected List<Doc> doc

#### request

    protected Request request

#### response

    protected List<Response> response

#### any

    protected List<Object> any

#### id

    protected String id

#### name

    protected String name

#### href

    protected String href

### Constructor Detail

#### Method

    public Method()

### Method Detail

#### getDoc

    public List<Doc> getDoc()

Gets the value of the doc property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the doc property.

For example, to add a new item, do as follows:

        getDoc().add(newItem);

Objects of the following type(s) are allowed in the list `Doc`

#### getRequest

    public Request getRequest()

Gets the value of the request property.

Returns:
  possible object is `Request`

#### setRequest

    public void setRequest(Request value)

Sets the value of the request property.

Parameters:
  `value` - allowed object is `Request`

#### getResponse

    public List<Response> getResponse()

Gets the value of the response property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the response property.

For example, to add a new item, do as follows:

        getResponse().add(newItem);

Objects of the following type(s) are allowed in the list `Response`

#### getAny

    public List<Object> getAny()

Gets the value of the any property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

For example, to add a new item, do as follows:

        getAny().add(newItem);

Objects of the following type(s) are allowed in the list `Object` `Element`

#### getId

    public String getId()

Gets the value of the id property.

Returns:
  possible object is `String`

#### setId

    public void setId(String value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`

#### getName

    public String getName()

Gets the value of the name property.

Returns:
  possible object is `String`

#### setName

    public void setName(String value)

Sets the value of the name property.

Parameters:
  `value` - allowed object is `String`

#### getHref

    public String getHref()

Gets the value of the href property.

Returns:
  possible object is `String`

#### setHref

    public void setHref(String value)

Sets the value of the href property.

Parameters:
  `value` - allowed object is `String`

#### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

Gets a map that contains attributes that aren't bound to any typed property on this class.

the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

Returns:
  always non-null